changeset 2668:e5c8a9c39558

8182032: Make java.compiler upgradeable Reviewed-by: alanb, erikj
author mchung
date Thu, 15 Jun 2017 11:54:26 -0700
parents e73b6959f72d
children ce42e2c57dc7
files make/CreateJmods.gmk make/common/Modules.gmk
diffstat 2 files changed, 10 insertions(+), 20 deletions(-) [+]
line wrap: on
line diff
--- a/make/CreateJmods.gmk	Thu Jun 15 17:43:14 2017 +0000
+++ b/make/CreateJmods.gmk	Thu Jun 15 11:54:26 2017 -0700
@@ -81,7 +81,6 @@
 
 LEGAL_NOTICES := \
     $(SUPPORT_OUTPUTDIR)/modules_legal/java.base \
-    $(wildcard $(SUPPORT_OUTPUTDIR)/modules_legal/$(MODULE)) \
     $(call FindModuleLegalDirs, $(MODULE)) \
     #
 
@@ -106,10 +105,10 @@
       DEPS += $(patsubst %, $(JMODS_DIR)/%.jmod, \
           $(filter-out java.base $(ALL_UPGRADEABLE_MODULES), $(call FindAllModules)))
 
-      EXCLUDE_PATTERN := $(strip $(subst $(SPACE),|,$(strip $(ALL_UPGRADEABLE_MODULES))))
+      EXCLUDE_PATTERN := $(strip $(subst $(SPACE),$$|,$(strip $(ALL_UPGRADEABLE_MODULES))))
 
       JMOD_FLAGS += --module-path $(JMODS_DIR) \
-          --hash-modules '^(?!$(EXCLUDE_PATTERN))'
+          --hash-modules '^(?!$(EXCLUDE_PATTERN)$$)'
     endif
   endif
 endif
--- a/make/common/Modules.gmk	Thu Jun 15 17:43:14 2017 +0000
+++ b/make/common/Modules.gmk	Thu Jun 15 11:54:26 2017 -0700
@@ -72,8 +72,11 @@
     jdk.naming.rmi \
     #
 
+# Modules that directly or indirectly requiring upgradeable modules
+# should carefully be considered if it should be upgradeable or not.
 UPGRADEABLE_MODULES += \
     java.activation \
+    java.compiler \
     java.corba \
     java.transaction \
     java.xml.bind \
@@ -82,10 +85,9 @@
     jdk.internal.vm.compiler \
     #
 
-# Modules explicitly declared as not being upgradeable even though they require
-# an upgradeable module.
-NON_UPGRADEABLE_MODULES += \
-    jdk.aot \
+UPGRADEABLE_TOOL_MODULES += \
+    jdk.xml.bind \
+    jdk.xml.ws \
     #
 
 AGGREGATOR_MODULES += \
@@ -99,7 +101,6 @@
     #
 
 PLATFORM_MODULES += \
-    java.compiler \
     java.scripting \
     java.security.jgss \
     java.smartcardio \
@@ -175,13 +176,10 @@
     jdk.policytool \
     jdk.rmic \
     jdk.scripting.nashorn \
-    jdk.scripting.nashorn.shell \
     jdk.sctp \
     jdk.security.auth \
     jdk.security.jgss \
-    jdk.xml.bind \
     jdk.xml.dom \
-    jdk.xml.ws \
     jdk.zipfs \
     #
 
@@ -384,15 +382,8 @@
 # Upgradeable modules are those that are either defined as upgradeable or that
 # require an upradeable module.
 FindAllUpgradeableModules = \
-    $(filter-out $(MODULES_FILTER) $(NON_UPGRADEABLE_MODULES), \
-        $(sort $(UPGRADEABLE_MODULES) $(foreach m, \
-            $(filter-out $(UPGRADEABLE_MODULES), $(call FindAllModules)), \
-          $(if $(filter $(UPGRADEABLE_MODULES), \
-              $(call FindTransitiveDepsForModule, $m)), \
-            $m \
-          ) \
-        )) \
-    )
+    $(sort $(filter-out $(MODULES_FILTER), $(UPGRADEABLE_MODULES) $(UPGRADEABLE_TOOL_MODULES)))
+
 
 ################################################################################